Bug 109188 - (EasyFix-Tracker) Public Tracking Bug for 'easyfix' bugreports
Public Tracking Bug for 'easyfix' bugreports
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
http://www.fedora.us/wiki/FedoraTriage
: FutureFeature, Tracking
Depends On: 74059 75663 88054 92090 97464 104120 104722 104742 107736 109005 109248 109264 109387 109390 109456 109492 109525 109527 110922 111155 162419
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-05 10:24 EST by Jef Spaleta
Modified: 2014-03-16 22:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-18 18:16:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2003-11-05 10:24:19 EST
This is my test case example of how a triage community tracker bug
can work. Whether or not its going to work as I expect is an open
question. Here's how I see it working. Community members can add
comments to this bug to nominate existing bugreports as 'easyfix.'
I as the bug owner on this bug, and anyone else with editting rights
to this bug, will look over the comments and add bugsreport numbers to
the bugblocking list for the tracker bug.  

The goal here is to try to use community effort to put all the bugs
that should be classified as easyfix in one place. Hopefully if we can
make it easier for the technically competent people to find the
easyfix bugs, they will be more willing to spend time actually fixing
them. 

Easyfix is a valid bugreport keyword and is defined here:
http://bugzilla.redhat.com/bugzilla/describekeywords.cgi
  Marks bugs that are trivial easy-to-understand fixes that 
  anyone could implement. For example fix URL or dependencies in spec  
  file.

I interpret the keyword definition to mean, bug reports that come with
patches that need review or states a very trivial problem that another
community member with more technical ability than the reporter can
build a patch for.

Steps to getting a bug nominated as a blocker for this tracker:

1) do your best to troll bugzilla and search for lingering bugreports
that are trivial or have a submitted patch. I would suggest
concentrating on older inactive reports than brand new ones.

2) drop into #fedora-bugs on the freenode irc network and take a few
minutes to see there are people there who agree that the bug you found
is really an 'easyfix.' You might even find someone who can fix it and
submit a patch if you can't build a patch yourself. Patches are really
the goal.  If you do get a new patch built and submit to the orginal
bug report its probably wise to stop here and give the developer a
little time to review your patch.  More likely than not, you will need
to give the developer a little feedback, and you might even have to
patch your patch....all in a days work. the #fedora-bugs channel is
going to be a good resource if you are new at fixing trivial patches.

3) Once you have convinced a few people that the bug should be
nominated easyfix, submit a comment to this bugreport with the bug
number for the bug you think is an 'easyfix' along with a very brief
description. 

4)Comments to this bug will be reviewed, and a portion of those
comments will turn into blocking bugs for this tracker which can
easily be queried.
 
Again please be aware that trying to get easyfix bugs patched and
those patches reviewed quickly is really my intention for this bug.
When searching for trivial bugs, its important that you make an effort
to attempt to build the patch yourself or conjule someone into
building the patch. The #fedora-bugs irc channel is there as a
resource to help you learn how to be more effective. And its perfectly
understandable if a bug seems trivial but still beyond your specific
technical abilities due to a code language barrier or other
constraint. Hopefully this public tracker bug will make it easier to
match up trivial problems with community volunteers.  
  
-jef
Comment 1 Seth Vidal 2003-11-06 02:34:05 EST
Could we get a few queries posted on the main bugzilla web page for:

'All Fedora Core bugs at NEEDINFO or below in status'
or
'All Fedora Core bugs unchanged for more than 30 days'
or 
'All Fedora Core bugs made in the last 24 hours'

just so we can more quickly get to things w/o all having to make the
same defined searches.

Comment 2 Jef Spaleta 2003-11-06 09:00:21 EST
Yes, a place to list some useful queries would be...keen
But i'm not sure it needs to be the bugzilla main page.
I was thinking the fedora website should have a triage guide section
and triage's mainpage could better represent a useful toolbox for triage
and things like important notices.

I might mock up something as a layout sketch in the wiki, or maybe my
blog that isn't being used for anything.

Also...maybe we need to have yet another mailing list fedora-triage.
I'd hate to do all our longwinded, but very much needed, discussions
about triage policy in bugzilla comments :->

Comment 3 Chris Ricker 2003-11-07 12:26:39 EST
I think things like the queries Seth is suggesting make a lot of
sense. Perhaps just add them to the footer with the other preset
queries ("My bugs") rather than everyone having to make a custom saved
query to get it there....

Or perhaps, instead of cluttering that for everyone, just add
documentation to the Wiki (as much as I hate working with Wikis, I
can't believe I just said that ;-) covering how to add saved queries
including some useful example queries. That way, people who want to
triage can easily get them, and the rest don't have them in the way
(and bugzilla doesn't have to be modified)
Comment 4 Seth Vidal 2003-11-07 12:32:47 EST
Check out the triage page that Jef setup at fedora.us.

I added some suggested triage keywords.

triage->easyfix
triage->moveupstream
triage->close
triage->crack
triage->wtf?
:)

I've also sent a request into the bugzilla master @ red hat to see
about either 1. adding  triage field, 2. opening up the whiteboard or
3. opening up the keywords.


Comment 5 Mike A. Harris 2003-11-07 16:34:31 EST
CLOSED->CRACKROCKMONKEY would be a useful new resolution to have
added.  Perhaps dkl can investigate the feasibility of such an
addition.   That would be very useful IMHO
Comment 6 Jaap Haitsma 2003-11-08 16:04:38 EST
Real easy bug to solve is
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=88054

Just need to remove 3 times a ".o" from /etc/init.d/pcmcia
Comment 7 Dax Kelson 2003-11-08 21:07:14 EST
Trivial cosmetic bug with patch here:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=109527
Comment 8 Mike A. Harris 2003-11-09 10:45:49 EST
When adding easyfix bugs, scroll down below to the bugzilla field
labelled:

     Bug 109188 depends on:

And add the bug ID's to the list there.  Those are the bug IDs that
the tracker is tracking.  Hope this helps.
Comment 9 Jaap Haitsma 2003-11-09 11:17:48 EST
OK Mike added my own report and the one of Dax to the Bug depends on
list. Now hope they get fixed soon ;-)
Comment 10 Paul Nasrat 2003-12-03 10:34:29 EST
Testing xml-rpc api using bugtool.

Hopefully with triage comments and canned queries then we should be able to use bugtool/bugzuki for a lot of this.  
Comment 11 Jaap Haitsma 2004-01-31 13:27:56 EST
Not much activity going on here lately :-( . Are the listed bugs going
to be solved before FC 2.0?
Comment 12 Jef Spaleta 2004-01-31 15:24:08 EST
I have no idea if they WILL be solved. But I'm working my way through
the backlog of bugs that have been pre-marked for triage and marking
them up. The goal is to get things marked with keywords or closed
where appropriate to make it easier for developers to find the bugs
the can fix quickly.  Bugzilla editting rights to fedora contributors
just recently got the kinks worked out. If you want to help out with
triage
please sign up for the triage mailing list at 
https://lists.dulug.duke.edu/mailman/listinfo/fedora-triage-list
and read the very small number of initial messages sitting in the
archive.  I plan to communicate with people interested in helping with
triage in a significant way via the mailinglist
Comment 13 Jaap Haitsma 2004-03-09 17:46:25 EST
This bug can be marked as solved as it was fixed in the recent update
of pcmcia-cs.
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=88054

Comment 14 Jon Stanley 2008-03-27 21:46:33 EDT
Adding Tracking keyword
Comment 15 Jon Stanley 2008-05-12 12:32:05 EDT
Triaging the distribution bugs in NEW state :)

Not sure what to do about this one, there's a keyword that folks can add that is
trivial to search for.  Is this bug useful anymore with that?
Comment 16 John Poelstra 2008-07-02 15:34:28 EDT
Should this bug remain open?  As Jon points out there is a keyword "EasyFix"
which makes a lot more sense than this tracking bug which does not appear to
have been used for a few years.

Will close in 30 days if no response.
Comment 17 John Poelstra 2008-09-18 18:16:49 EDT
No response. Closing.

Note You need to log in before you can comment on or make changes to this bug.